#
# Unit test for ExecuteScript.pm
#

# load perl code from our tmp directory
use lib "lib";

use strict;

# import functions we want to test
use ExecuteScript qw(execute_script);

# how many tests
use Test::More tests => 2;

my $result = "";

open( main::CMD_SOCK, ">>", \$result ) or die;

my $script = "echo Hello World";
execute_script($script);

print "Executed: '$script'\nResult:${result}\n";

ok( $result =~ "TSI_OK" 
and $result =~ "Hello World" );


# now test with discard output
$script = "#TSI_DISCARD_OUTPUT true\necho Hello World";
$result="";
execute_script($script);

print "Executed: '$script'\nResult:${result}\n";

ok( $result =~ "TSI_OK" 
and $result !~ "Hello World" );



close(main::CMD_SOCK);
