#
# Unit test for Torque GetStatusListing.pm
#

# load perl code from our tmp directory
use lib "lib";

use strict;

# import functions we want to test
use GetStatusListing qw(get_status_listing);

# how many tests
use Test::More tests => 2;

# mocking the execution of 'qstat'
$main::qstat_cmd = "cat sample1.txt";
$main::debug     = 1;

my $result = "";
open( main::CMD_SOCK, ">>", \$result ) or die;
get_status_listing();
close(main::CMD_SOCK);

print "Resulting QSTAT listing : \n\n " . $result . "\n";

ok(       $result =~ "QSTAT"
      and $result =~ "83 COMPLETED batch"
      and $result =~ "84 RUNNING fast"
      and $result =~ "85 QUEUED slow" );

#
# test error reporting
#

# mock qstat returns non-zero exit code
$main::qstat_cmd = "echo \"A mock error occurred\" ; /bin/false";

$result = "";
open( main::CMD_SOCK, ">>", \$result ) or die;
get_status_listing();
close(main::CMD_SOCK);

ok( $result =~ "TSI_FAILED" and $result =~ "A mock error occurred" );
